NI Package Builder 19.1 Bug Fixes

Überblick

This document contains the NI Package Builder Bug Fixes that have been discovered. Not every bug fix known to NI will appear on this list; it is intended to only show the severe and more common issues that have been addressed. This document will contain bug fixes by Version.

NI Package Builder 19.1 Bug Fixes

The following items are Bug Fixes in NI Package Builder 19.1.

 

ID Legacy ID Fixed Issue Issue Details
135827 - You get an error when you deploy the TestStand 'Mobile Device Test' example using LabVIEW 2018 If you create and deploy VIs using TestStand 2019 and LabVIEW 2018, and the VIs were saved with an earlier version of LabVIEW, calling the VIs from TestStand may result in a "Unable to load VI 'Include XNode.vi' with the LabVIEW Run-Time Engine version 18.0" error at run time
135837 - If you attempt to build a package using two different instances of the NI Package Builder application or its command line application, the operation results in Error -16000 in the second application. Building a package results in the following: "Error -16000: Error occurred during staging in the 'TestStand Plugin'. Unable to load the LabVIEW support required to include the LabVIEW dependencies. A supported version of LabVIEW might not be installed or registered..."
135892 - If the LabVIEW adapter is used to launch LabVIEW 2016 or 2017 and LabVIEW has not completed loading, LabVIEW will intermittently return "Error 1025." When building a LabVIEW-based package, the LabVIEW adapter will launch LabVIEW in the background. If the loading is not complete, and you attempt to begin using the LabVIEW features, LabVIEW returns and error: "LabVIEW could not access the server. Error 1025 occurred at Open VI Reference in NI_SCC_ConnSrv.lvlib:SCC_ConnSrv RunSCCConnSrv.vi->SCC_Provider_Startup.vi:7490001->SCC_Provider_Startup.vi.ProxyCaller". If using LabVIEW 2016 or 2017, you can upgrade to the latest LabVIEW 2016 and 2017 SP1 patches, which contain fix for this. Otherwise, this has been addressed in LabVIEW 2018
137007 - Running a built installer fails with the error “Unable to locate package ‘My Package (>=1.0.0.1) with a compatible version or architecture”. When you perform a single build operation that builds an auto-incremented package that is included in a package installer, the installer incorrectly attempts to install the package with a higher version number than is included in the installer. When you run the package installer, the installer fails and reports that it is unable to locate the package with a compatible version or architecture
137118 - Using the command line -save option erases previous log information and only includes information for the incremented version.  
162621 - Add Packages Dialog shows nothing installed while NI Package Manager is performing an Install While NI Package Manager is performing an install or un-install operation, displaying the Add Packages Dialog to add a package to an installer or add a dependency shows an empty installed tab
163990 - NullReferenceException dragging input items with dependencies to a package editor After adding an input item with a dependency, when dragging the input to a package editor the error "NullReferenceException in ObjectDescription.Equals(ObjectDescription other) because other is null." is thrown
172965 - Changed Package Names do not propagate to tab headers Renaming a package does not update the tab header label in the package editor
190521 - The Show in File Explorer option used on missing file navigates to 'This PC' The 'Show in File Explorer' context menu will incorrectly navigate to 'This PC' when used on a missing item
191800 - Local Repositories include both installed and newer versions of packages When building a local repository with a package that enables "Include Recommended and Suggested Packages", the local repository may contain multiple versions of recommended and suggested packages that are installed and that are available in a registered feed
195814 - Dragging dependencies between packages does not correctly copy the relationship type Dragging a dependency with a 'Recommended' or 'Suggested' relationship type to another package incorrectly sets the new dependency relationship to “Depends”
196954 - Solutions that are deleted still show up in Most Recently Used Menu NI Package Builder does not remove solutions that are no longer on disk from the Most Recently Used menu, and selecting the deleted solution from the menu throws a load error

Glossary of Terms

 

  • Bug ID - When an issue is reported to NI, you may be given this ID or find it on ni.com.  You may also find IDs posted by NI on the discussion forums or in KnowledgeBase articles.
  • Legacy ID – An older issue ID that refers to the same issue.  You may instead find this issue ID in older known issues documents.
  • Description - A few sentences which describe the problem. The brief description given does not necessarily describe the problem in full detail.
  • Workaround - Possible ways to work around the problem.
  • Reported Version - The earliest version in which the issue was reported.
  • Resolved Version - Version in which the issue was resolved or was no longer applicable. "N/A" indicates that the issue has not been resolved.
  • Date Added - The date the issue was added to the document (not the reported date).